Bug 165407 - Review Request: srecord - Manipulate EPROM load files
Review Request: srecord - Manipulate EPROM load files
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tom "spot" Callaway
David Lawrence
http://srecord.sourceforge.net/
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2005-08-08 20:44 EDT by Jose Pedro Oliveira
Modified: 2010-10-11 14:22 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-23 09:35:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jose Pedro Oliveira 2005-08-08 20:44:49 EDT
Spec Name or Url:
http://gsd.di.uminho.pt/jpo/software/fedora/srecord.spec
SRPM Name or Url:
http://gsd.di.uminho.pt/jpo/software/fedora/srecord-1.21-1.src.rpm

Description:
The SRecord package is a collection of powerful tools for manipulating
EPROM load files.

* The SRecord package understands a number of file formats: Motorola
  S-Record, Intel, Tektronix, Binary.  These file formats may be read
  and written.  Also C array definitions, for output only.

* The SRecord package has a number of tools: srec_cat for copying and
  and converting files, srec_cmp for comparing files and srec_info for
  printing summaries.

* The SRecord package has a number for filters: checksum to add checksums
  to the data, crop to keep address ranges, exclude to remove address
  ranges, fill to plug holes in the data, length to insert the data
  length, maximum to insert the data address maximum, minimum to insert
  the data address minimum, offset to adjust addresses, and split for
  wide data buses and memory striping.

More than one filter may be applied to each input file.  Different filters
may be applied to each input file.  All filters may be applied to all
file formats.
Comment 1 Jose Pedro Oliveira 2005-09-12 10:09:54 EDT
http://gsd.di.uminho.pt/jpo/software/fedora/srecord-1.22-1.src.rpm

Changelog:
* Update to 1.22.
Comment 2 Tom "spot" Callaway 2005-09-14 22:00:39 EDT
Good:

- rpmlint checks return nothing
- package meets naming guidelines
- package meets packaging guidelines
- license (GPL) OK, text in %doc, matches source
- spec file legible, in am. english
- package compiles on devel (x86)
- no missing BR
- no unnecessary BR
- no locales
- not relocatable
- owns all directories that it creates
- no duplicate files
- permissions ok
- %clean ok
- macro use consistent
- code, not content
- no need for -docs
- nothing in %doc affects runtime
- no need for .desktop file

NEEDSWORK:

Source does NOT match upstream:

md5sum srecord-1.22.tar.gz rpmbuild/SOURCES/srecord-1.22.tar.gz
d67c70be352486db6a9c0929a4d8f08e  srecord-1.22.tar.gz
01ee85525efd8bbbec9b80ddec44576d  rpmbuild/SOURCES/srecord-1.22.tar.gz

Minor nitpick:

make could use %{?_smp_mflags}.

Fix the source to match upstream, and I'll recheck.
Comment 3 Jose Pedro Oliveira 2005-09-14 22:27:02 EDT
(In reply to comment #2)
> Source does NOT match upstream:
> 
> md5sum srecord-1.22.tar.gz rpmbuild/SOURCES/srecord-1.22.tar.gz
> d67c70be352486db6a9c0929a4d8f08e  srecord-1.22.tar.gz
> 01ee85525efd8bbbec9b80ddec44576d  rpmbuild/SOURCES/srecord-1.22.tar.gz

The author made different tarballs for the same package version
  * I used the one in the heanet mirror
    http://heanet.dl.sourceforge.net/sourceforge/srecord/srecord-1.22.tar.gz
  * which is older (and different) from the one in the mains URl
    http://srecord.sourceforge.net/%{name}-%{version}.tar.gz

    main url            --> #define PATCHLEVEL "1.22.D002"
                            (tarball date 20050905)
    sf mirrors (heanet) --> #define PATCHLEVEL "1.22.D001"
                            (tarball 20050812)

Going to update use the tarball to the latest patchlevel

> 
> Minor nitpick:
> 
> make could use %{?_smp_mflags}.
> 

I had problems compiling it in a SMP machine.  I will give
another try using the Extras building system. 

> Fix the source to match upstream, and I'll recheck.

http://gsd.di.uminho.pt/jpo/software/fedora/srecord-1.22-2.src.rpm
Comment 4 Tom "spot" Callaway 2005-09-14 22:31:49 EDT
(In reply to comment #3)

> The author made different tarballs for the same package version

Tsk, tsk. Bad upstream author!

> I had problems compiling it in a SMP machine.  I will give
> another try using the Extras building system. 

If it doesn't work, don't waste time with it. Just throw in a comment about it
not building properly with smp mflags.
 
APPROVED.
Comment 5 Jose Pedro Oliveira 2005-09-23 09:35:19 EDT
Updated to version 1.23.

This new version corrects the segmentation fault that occured during the
regression test suite in x86_64 (reported upstream).

Release notes (README file)

   Version 1.23 (23-Sep-2005)
       * A segfault has been fixed on x86_64 when running the regression test
       suite.

       * A compile problem with the lib/srec/output/file/c.cc file has been
       fixed.
   ...

Comment 6 Tom "spot" Callaway 2010-10-11 09:44:25 EDT
Package Change Request
======================
Package Name: srecord
New Branches: el6
Owners: spot
Comment 7 Kevin Fenzi 2010-10-11 14:22:27 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.